<?php
/**
 * Copyright © magebig.com - All rights reserved.
 * See LICENSE.txt for license details.
 */
use Magento\Framework\App\Action\Action;

// @codingStandardsIgnoreFile

?>
<?php
/**
 * Product list template
 *
 * @var $block \Magento\Catalog\Block\Product\ListProduct
 */
?>
<?php
/* Using Direct Object Manager */ 
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
/* Get store manager */ 
$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
// BASE URL 
$baseUrl = $storeManager->getStore()->getBaseUrl();

// MEDIA URL 
$mediaUrl =$storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);


?>
<style type="text/css">
  .cqty {
    max-width: 120px;
    height: 37px;
    text-align: center;
    border: 1px solid #84c225 !important;
}
</style>
<?php
$_productCollection = $block->getLoadedProductCollection();
$_helper = $this->helper('Magento\Catalog\Helper\Output');
$mbHelper = $this->helper('MageBig\MbFrame\Helper\Data');
$labelHelper = $this->helper('MageBig\WidgetPlus\Helper\Config');

$showAddCart = $mbHelper->getConfig('mbconfig/category_view/show_addcart');
$showCompare = $mbHelper->getConfig('mbconfig/category_view/show_compare');
$showWishlist = $mbHelper->getConfig('mbconfig/category_view/show_wishlist');
$showRating = $mbHelper->getConfig('mbconfig/category_view/show_rating');
$showQuickview = $mbHelper->getConfig('mbconfig/category_view/show_quickview');
//$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$actionName    = $this->getRequest()->getActionName();
$moduleName    = $this->getRequest()->getModuleName();
   $subcats=array();
   $category ="";
   if ($moduleName=='catalog' && $actionName=="view") 
   {
    $category = $objectManager->get('Magento\Framework\Registry')->registry('current_category');
    $category->getParentCategory()->getName();
    
   }
$catId1 =array(90,86);  
$subcats[]=90;
$subcats[]=86;
foreach ($catId1 as $catId) {
  $subcategory = $objectManager->create('Magento\Catalog\Model\Category')->load($catId);           
    $subcats1 = $subcategory->getChildrenCategories();
    
        foreach ($subcats1 as $subcat) {
            if ($subcat->getIsActive()) {
              $subcats[]= $subcat->getId();
              $subcategory1 = $objectManager->create('Magento\Catalog\Model\Category')->load($subcat->getId());           
                 $subcats12 = $subcategory1->getChildrenCategories();
                  foreach ($subcats12 as $subcat1) {
            if ($subcat1->getIsActive()) {
                   $subcats[]= $subcat1->getId();
                    }
        } 
            }
        }
    }
        
?>
<?php if (!$_productCollection->count()): ?>
  <div class="message info empty"><div><?= /* @escapeNotVerified */ __('We can\'t find products matching the selection.') ?></div></div>
  <?php else: ?>
    <?php
    $toolbar = $block->getToolbarHtml();
    echo $toolbar;
    ?>
    <?= $block->getAdditionalHtml() ?>
    <?php
    if ($block->getMode() == 'grid') {
      $viewMode = 'grid';
      $image = 'category_page_grid';
      $showDescription = false;
      $templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::SHORT_VIEW;
      $class = $mbHelper->getPageColumn();
    } else {
      $viewMode = 'list';
      $image = 'category_page_list';
      $showDescription = true;
      $templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::SHORT_VIEW;
      $class = 'col-12';
    }
    /**
     * Position for actions regarding image size changing in vde if needed
     */
    $pos = $block->getPositioned();
    ?>
    <?php if ($viewMode == 'grid') : ?>
      <?php if( $moduleName=='catalog' && in_array($category->getId(), $subcats)){ ?>
            <div class="products wrapper <?= /* @escapeNotVerified */ $viewMode; ?> products-<?= /* @escapeNotVerified */ $viewMode; ?>">
        <?php $iterator = 1; ?>
        <div class="tab">
  <button class="tablinks active" id="allproduct">ALL</button>
  <button class="tablinks" id="product1" >Sugar Free</button>
  <button class="tablinks" id="product2" >Lactose Free</button>
  <button class="tablinks" id="product3" >Vegan</button>
  <button class="tablinks" id="product4" >Gluten</button>
</div>
        <ol class="products list items product-items row">
          
          <?php /** @var $_product \Magento\Catalog\Model\Product */ ?>
          <?php foreach ($_productCollection as $_product): ?>
             <?php
             $juicetype=explode(",",$_product->getData('juice_and_ice_cream_type'));
              ?>
            <li class="<?= $class ?> filetli <?php if(in_array('133', $juicetype)){ echo " first1"; } if(in_array('134', $juicetype)){ echo " first2" ;}  if(in_array('135', $juicetype)){ echo " first3"; } if(in_array('136', $juicetype)){ echo " first4"; } ?>">
            <div class="juices_type">
              <?php if(in_array('133', $juicetype)){ ?>
                <img src="<?php echo $mediaUrl;?>/wysiwyg/Sugarblue.png"> 
            <?php } 
             if(in_array('134', $juicetype)){ ?>
              <img src="<?php echo $mediaUrl;?>/wysiwyg/lactoseblue.png">
          <?php  }
            if(in_array('135', $juicetype)){ ?>
             <img src="<?php echo $mediaUrl;?>/wysiwyg/Vegangreen.png">
          <?php } 
           if(in_array('136', $juicetype)){ ?>
           <img src="<?php echo $mediaUrl;?>/wysiwyg/Glutencolour.png">
          <?php } ?>
        </div>
              <div class="item product product-item">
                <button  class="ad_qty" id="updatedqty<?php echo $_product->getId();?>">0</button>
                <div id="cproductitem<?php echo $_product->getId();?>" class="product-item-info" data-container="product-grid">
                  <?php
                  
                  $productImage = $block->getImage($_product, $image);
                  if ($pos != null) {
                    $position = ' style="left:' . $productImage->getWidth() . 'px;'
                    . 'top:' . $productImage->getHeight() . 'px;"';
                  }
                  ?>
                  <?php // Product Image ?>
                  <div class="product-show">
                    <a href="<?= /* @escapeNotVerified */ $_product->getProductUrl() ?>" class="product photo product-item-photo" tabindex="-1">
                      <?= $productImage->toHtml(); ?>
                      <?php if ($labelHelper->getDiscountPercent($_product)) : ?>
                        <span class="discount-percent"><?= $labelHelper->getDiscountPercent($_product); ?></span>
                      <?php endif;?>
                    </a>
                    <div class="product-btn">
                      <div class="row no-gutters text-center">
                        <?php if ($showAddCart) : ?>
                          <?php if ($_product->isSaleable()): ?>
                            <div class="col">
                              <?php $postParams = $block->getAddToCartPostParams($_product); ?>
                              <form data-role="tocart-form" data-product-sku="<?=  /* @NoEscape */ $_product->getSku() ?>" action="<?= /* @escapeNotVerified */ $postParams['action'] ?>" method="post">
                                <input type="hidden" name="product" value="<?= /* @escapeNotVerified */ $_product->getEntityId() ?>">
                                <input type="hidden" name="<?= /* @escapeNotVerified */ Action::PARAM_NAME_URL_ENCODED; ?>" value="<?= /* @escapeNotVerified */ $postParams['data'][Action::PARAM_NAME_URL_ENCODED] ?>">
                                <?= $block->getBlockHtml('formkey') ?>
                                <button onmouseover="changeoptionvalue('<?php echo $_product->getId();?>')" type="submit"
                                title="<?= $block->escapeHtml(__('Add to Cart')) ?>"
                                class="action tocart mb-tooltip"><i class="mbi mbi-cart" ></i></button>
                              </form>
                            </div>
                            <?php else: ?>
                              <div class="col">
                                <?php if ($_product->getIsSalable()): ?>
                                  <div class="stock available"><span><?= /* @escapeNotVerified */ __('In stock') ?></span></div>
                                  <?php else: ?>
                                    <div class="stock unavailable"><span><?= /* @escapeNotVerified */ __('Out of stock') ?></span></div>
                                  <?php endif; ?>
                                </div>
                              <?php endif; ?>
                            <?php endif; ?>

                            <div class="col" <?php if (!$showQuickview) : ?>style="display: none;"<?php endif; ?>>
                              <?= $this->helper('MageBig\QuickView\Helper\Data')->getQuickViewButton($_product,'mb-tooltip'); ?>
                            </div>
                            <?php if ($this->helper('Magento\Wishlist\Helper\Data')->isAllow() && $showWishlist): ?>
                            <div class="col btn-wishlist">
                              <button type="button"
                              data-post='<?= /* @escapeNotVerified */ $block->getAddToWishlistParams($_product); ?>'
                              class="action towishlist mb-tooltip" data-action="add-to-wishlist"
                              title="<?= /* @escapeNotVerified */ __('Add to Wishlist') ?>"><i aria-hidden="true" class="mbi mbi-heart"></i></button>
                            </div>
                          <?php endif; ?>
                                        <!-- <?php if ($block->getAddToCompareUrl() && $showCompare): ?>
                                            <?php $compareHelper = $this->helper('Magento\Catalog\Helper\Product\Compare');?>
                                            <div class="col btn-compare">
                                                <button type="button" class="action tocompare mb-tooltip"
                                                   data-post='<?= /* @escapeNotVerified */ $compareHelper->getPostDataParams($_product);?>'
                                                   title="<?= /* @escapeNotVerified */ __('Add to Compare') ?>"><i aria-hidden="true" class="mbi mbi-chart-bars"></i></button>
                                            </div>
                                            <?php endif; ?> -->
                                        </div>
                                    </div>
                                </div>
                                <div class="product details product-item-details">
                                  
                                  <?php


                                 
                                  $_productNameStripped = $block->stripTags($_product->getName(), null, true);
                                  ?>
                                  
                                  <ul class="p_detail">

                                    <li class="p_name"> <h2 class="product name product-item-name">
                                      <a class="product-item-link"
                                      href="<?= /* @escapeNotVerified */ $_product->getProductUrl() ?>"
                                      title="<?= /* @escapeNotVerified */ $_helper->productAttribute($_product, $_product->getName(), 'name'); ?>">
                                      <?= /* @escapeNotVerified */ $_helper->productAttribute($_product, $_product->getName(), 'name'); 
                                      ?>
                                    </a>

                                  </h2>

                                </li>
                                <li><?php $origin=$_product->getSelectOrgin(); 
                             
                                $optionId = $origin;
                                $attribute = $_product->getResource()->getAttribute('select_orgin');
                                if ($attribute->usesSource()) {
                                    $optionText = $attribute->getSource()->getOptionText($optionId);
                                }echo $optionText;
                                 ?></li>
                                 


                                <!-- This is for demonstration purpose, in the next few days, It will made dynamic -->
                                <li class="p_price">
                                  <?php if ($showRating) : ?>
                                    <?= $block->getReviewsSummaryHtml($_product, $templateType); ?>
                                  <?php endif; ?>
                                  <?= /* @escapeNotVerified */ $block->getProductPriceHtml(
                                    $_product,
                                    \Magento\Catalog\Pricing\Price\FinalPrice::PRICE_CODE,
                                    \Magento\Framework\Pricing\Render::ZONE_ITEM_LIST
                                  ) ?>
                                </li>
                            </ul>
                            <div class="list_bottom">
                              
                              <div class="product_dropdown">
                                <?php if ($_product->getTypeId() == 'configurable'){ ?>
                                    <div class="swatches-list">
                                      <div class="novairiant"></div>
                                      <?= $block->getProductDetailsHtml($_product); ?>
                                      
                                    </div>
                                  <?php } ?>
                              </div>
                              <?php if ($_product->isSaleable()):    ?>
    <?php $postParams = $block->getAddToCartPostParams($_product); 
    ?>
                                    <div class="field" style="display: none;" id="cutomqtysection<?php echo $_product->getId();?>" >
                                  <label class="label" for="qty"></label>
                                  <div class="control">
                                    <div class="custom-qty reduced"><button type="button" class="btn-qty minus"><span id="minus<?php echo $_product->getId();?>" class="mbi mbi-minus"></span></button></div>
                                    <div class="custom-qty increase"><button type="button" class="btn-qty plus"><span id="plus<?php echo $_product->getId();?>" class="mbi mbi-plus"></span></button></div>
                                  </div>
                                </div>
    <form data-role="tocart-form" action="<?php  echo $this->getBaseUrl().'checkout/cart/add/product/'.$postParams['data']['product']//echo $postParams['action']; ?>" method="post">
      <input type="hidden" name="product" value="<?php /* @escapeNotVerified */ echo $postParams['data']['product']; ?>">
      <input type="hidden" name="<?php /* @escapeNotVerified */ echo Action::PARAM_NAME_URL_ENCODED; ?>" value="<?php /* @escapeNotVerified */ echo $postParams['data'][Action::PARAM_NAME_URL_ENCODED]; ?>">
                    <!-- <input type="hidden" class="super1" name="super_attribute[90]" value="">
                      <input type="hidden" class="super2" name="super_attribute[137]" value=""> -->
                      <?php echo $block->getBlockHtml('formkey')?>
                      <button id="addtocart_<?php echo $_product->getId();?>"  onmouseover="changeoptionvalue('<?php echo $_product->getId();?>')"  type="submit"
                      title="<?php echo $block->escapeHtml(__('Add to Cart')); ?>"
                      class="action tocart primary">
                      <span><?php /* @escapeNotVerified */ echo __('') ?> <i class="mbi mbi-cart" ></i></span>
                    </button>
                  </form>
                  <?php else: ?>
                    <?php if ($_product->getIsSalable()): ?>
                      <div class="stock available"><span><?php /* @escapeNotVerified */ echo __('In stock') ?></span></div>
                      <?php else: ?>
                        <div class="stock unavailable"><span><?php /* @escapeNotVerified */ echo __('Out of stock') ?></span></div>
                      <?php endif; ?>
                    <?php endif; ?>
                           </div>

                           <div class="product-item-inner">
                            <?php if ($showDescription):?>
                              <div class="product description product-item-description">
                                <?= /* @escapeNotVerified */ $_helper->productAttribute($_product, $_product->getShortDescription(), 'short_description') ?>
                                <a href="<?= /* @escapeNotVerified */ $_product->getProductUrl() ?>" title="<?= /* @escapeNotVerified */ $_productNameStripped ?>"
                                  class="action more"><?= /* @escapeNotVerified */ __('Learn More') ?></a>
                                </div>
                              <?php endif; ?>
                            </div>
                           </div>
                       </div>
                   </div>
                   <input type="hidden" readonly name="qute<?php echo $_product->getId();?>" id="qute<?php echo $_product->getId();?>"  value="" >
<script type="text/javascript">
  requirejs(['jquery'], function( jQuery ) {
    jQuery(document).ready(function () {
             jQuery(document).ajaxComplete(function () {
    if(jQuery('#<?php echo $_product->getId();?> option').length==1){
      jQuery('.swatch-opt-<?php echo $_product->getId();?>').hide();
      jQuery('.swatch-opt-<?php echo $_product->getId();?>').parent().css("background-image", "none");
      jQuery('.swatch-opt-<?php echo $_product->getId();?>').prev().html(jQuery('#<?php echo $_product->getId();?> option:selected').text());
    }
   });
            });
        hitforqote();
    var pid ='';
     setTimeout(function(){
      jQuery("select#<?php echo $_product->getId();?>").click(function(){
        hitforqote();
      });
      jQuery("#minus<?php echo $_product->getId();?>").click(function(){
        hitforqote();
      setTimeout(function(){
      var qoteid= jQuery("#qute<?php echo $_product->getId();?>").val();
     
      if (qoteid!="") {
                var uqty = jQuery("#cart-item-"+qoteid+"-qty").val();
                //alert(uqty);
                if (uqty=="1") {
                     //alert(uqty);
                    jQuery('[data-cart-item='+qoteid+']').click();
                    jQuery("#cutomqtysection<?php echo $_product->getId();?>").hide();
                    jQuery("#addtocart_<?php echo $_product->getId();?>").show();
                    jQuery("#updatedqty<?php echo $_product->getId();?>").hide();

                }else{
                jQuery("#minus-cart-item-"+qoteid).click();
                 setTimeout(function(){
                 hitforqote();
            },500);
                }

      }else{

      }
      
      },1000);
    });
    jQuery("#plus<?php echo $_product->getId();?>").click(function(){
         jQuery("#addtocart_<?php echo $_product->getId();?>").click();
         setTimeout(function(){
         
         hitforqote();
     },1000);
          });
    jQuery("#addtocart_<?php echo $_product->getId();?>").click(function(){
      setTimeout(function(){
         
         hitforqote();
     },1000);
          });
     jQuery("#addtocart_<?php echo $_product->getId();?>").hover(function(){
      setTimeout(function(){
         
         hitforqote();
     },1000);
          });
         
     },4000 );


         function hitforqote(){
            setTimeout(function(){
             var pid = jQuery(".swatch-opt-<?php echo $_product->getId();?>").attr('item-id');
            //var sku = jQuery("div[itemprop=sku]").html();
            
            //alert(pid);
            var url ='<?php  echo $this->getBaseUrl();?>deliveryarea/index/listaction';
            jQuery.ajax({
                     url: url,
                    type: 'POST',
                    data: {
                      pid: pid,
                  },
                  success: function(response) { 
                            //alert("==="+response);
                         
                          if (response!="") {
                            jQuery("#cutomqtysection<?php echo $_product->getId();?>").show();
                            jQuery("#addtocart_<?php echo $_product->getId();?>").hide();
                            var uqty = jQuery("#cart-item-"+response+"-qty").val();
                           // alert(uqty);
                           jQuery("#updatedqty<?php echo $_product->getId();?>").show();
                            jQuery("#updatedqty<?php echo $_product->getId();?>").text(uqty);
                            jQuery("#qute<?php echo $_product->getId();?>").val('');
                            jQuery("#qute<?php echo $_product->getId();?>").val(response);
                            jQuery("#cproductitem<?php echo $_product->getId();?>").addClass("item-selected");
                         }else{
                          jQuery("#cproductitem<?php echo $_product->getId();?>").removeClass("item-selected");
                            jQuery("#cutomqtysection<?php echo $_product->getId();?>").hide();
                            jQuery("#addtocart_<?php echo $_product->getId();?>").show();
                            jQuery("#qute<?php echo $_product->getId();?>").val('');
                            jQuery("#updatedqty<?php echo $_product->getId();?>").hide();
                         }
                        
                         
                      }
                  
              });
            },500 );
         }


  });
</script>

               </li>
           <?php endforeach; ?>
       </ol>
   </div>

      <?php }else{

      ?>
      <div class="products wrapper <?= /* @escapeNotVerified */ $viewMode; ?> products-<?= /* @escapeNotVerified */ $viewMode; ?>">
        <?php $iterator = 1; ?>
        <ol class="products list items product-items row">
          <?php /** @var $_product \Magento\Catalog\Model\Product */ ?>
          <?php foreach ($_productCollection as $_product): ?>
            <li class="<?= $class ?>">
              <div class="item product product-item">
              <button  class="ad_qty" id="updatedqty<?php echo $_product->getId();?>">0</button>
                <div id="cproductitem<?php echo $_product->getId();?>" class="product-item-info" data-container="product-grid">
                  <?php
                  
                  $productImage = $block->getImage($_product, $image);
                  if ($pos != null) {
                    $position = ' style="left:' . $productImage->getWidth() . 'px;'
                    . 'top:' . $productImage->getHeight() . 'px;"';
                  }
                  ?>
                  <?php // Product Image ?>
                  <div class="product-show">
                    <a href="<?= /* @escapeNotVerified */ $_product->getProductUrl() ?>" class="product photo product-item-photo" tabindex="-1">
                      <?= $productImage->toHtml(); ?>
                      <?php if ($labelHelper->getDiscountPercent($_product)) : ?>
                        <span class="discount-percent"><?= $labelHelper->getDiscountPercent($_product); ?></span>
                      <?php endif;?>
                    </a>
                    <div class="product-btn">
                      <div class="row no-gutters text-center">
                        <?php if ($showAddCart) : ?>
                          <?php if ($_product->isSaleable()): ?>
                            <div class="col">
                              <?php $postParams = $block->getAddToCartPostParams($_product); ?>
                              <form data-role="tocart-form" data-product-sku="<?=  /* @NoEscape */ $_product->getSku() ?>" action="<?= /* @escapeNotVerified */ $postParams['action'] ?>" method="post">
                                <input type="hidden" name="product" value="<?= /* @escapeNotVerified */ $_product->getEntityId() ?>">
                                <input type="hidden" name="<?= /* @escapeNotVerified */ Action::PARAM_NAME_URL_ENCODED; ?>" value="<?= /* @escapeNotVerified */ $postParams['data'][Action::PARAM_NAME_URL_ENCODED] ?>">
                                <?= $block->getBlockHtml('formkey') ?>
                                <button onmouseover="changeoptionvalue('<?php echo $_product->getId();?>')" type="submit"
                                title="<?= $block->escapeHtml(__('Add to Cart')) ?>"
                                class="action tocart mb-tooltip"><i class="mbi mbi-cart" ></i></button>
                              </form>
                            </div>
                            <?php else: ?>
                              <div class="col">
                                <?php if ($_product->getIsSalable()): ?>
                                  <div class="stock available"><span><?= /* @escapeNotVerified */ __('In stock') ?></span></div>
                                  <?php else: ?>
                                    <div class="stock unavailable"><span><?= /* @escapeNotVerified */ __('Out of stock') ?></span></div>
                                  <?php endif; ?>
                                </div>
                              <?php endif; ?>
                            <?php endif; ?>

                            <div class="col" <?php if (!$showQuickview) : ?>style="display: none;"<?php endif; ?>>
                              <?= $this->helper('MageBig\QuickView\Helper\Data')->getQuickViewButton($_product,'mb-tooltip'); ?>
                            </div>
                            <?php if ($this->helper('Magento\Wishlist\Helper\Data')->isAllow() && $showWishlist): ?>
                            <div class="col btn-wishlist">
                              <button type="button"
                              data-post='<?= /* @escapeNotVerified */ $block->getAddToWishlistParams($_product); ?>'
                              class="action towishlist mb-tooltip" data-action="add-to-wishlist"
                              title="<?= /* @escapeNotVerified */ __('Add to Wishlist') ?>"><i aria-hidden="true" class="mbi mbi-heart"></i></button>
                            </div>
                          <?php endif; ?>
                                        <!-- <?php if ($block->getAddToCompareUrl() && $showCompare): ?>
                                            <?php $compareHelper = $this->helper('Magento\Catalog\Helper\Product\Compare');?>
                                            <div class="col btn-compare">
                                                <button type="button" class="action tocompare mb-tooltip"
                                                   data-post='<?= /* @escapeNotVerified */ $compareHelper->getPostDataParams($_product);?>'
                                                   title="<?= /* @escapeNotVerified */ __('Add to Compare') ?>"><i aria-hidden="true" class="mbi mbi-chart-bars"></i></button>
                                            </div>
                                            <?php endif; ?> -->
                                        </div>
                                    </div>
                                </div>
                                <div class="product details product-item-details">
                                  
                                  <?php
                                  $_productNameStripped = $block->stripTags($_product->getName(), null, true);
                                  ?>
                                  <ul class="p_detail">

                                    <li class="p_name"> <h2 class="product name product-item-name">

                                      
                                      <a class="product-item-link"
                                      href="<?= /* @escapeNotVerified */ $_product->getProductUrl() ?>"
                                      title="<?= /* @escapeNotVerified */ $_helper->productAttribute($_product, $_product->getName(), 'name'); ?>">
                                      <?= /* @escapeNotVerified */ $_helper->productAttribute($_product, $_product->getName(), 'name'); ?>
                                    </a>
                                   
                                  </h2>
                                </li>
                                <li><?php $origin=$_product->getSelectOrgin(); 
                             
                                $optionId = $origin;
                                $attribute = $_product->getResource()->getAttribute('select_orgin');
                                if ($attribute->usesSource()) {
                                    $optionText = $attribute->getSource()->getOptionText($optionId);
                                }echo $optionText;
                                 ?></li>
                                <!-- This is for demonstration purpose, in the next few days, It will made dynamic -->
                                <li class="p_price">
                                  <?php if ($showRating) : ?>
                                    <?= $block->getReviewsSummaryHtml($_product, $templateType); ?>
                                  <?php endif; ?>
                                  <?= /* @escapeNotVerified */ $block->getProductPriceHtml(
                                    $_product,
                                    \Magento\Catalog\Pricing\Price\FinalPrice::PRICE_CODE,
                                    \Magento\Framework\Pricing\Render::ZONE_ITEM_LIST
                                  ) ?>
                                </li>
                            </ul>
                            <div class="list_bottom">
                              <div class="product_dropdown">
                                
                                <?php if ($_product->getTypeId() == 'configurable') { ?>

                                    <div class="swatches-list">
                                      <div class="novairiant"></div>
                                      <?= $block->getProductDetailsHtml($_product); ?>
                                    </div>
                                    <?php } ?>
                                     <?php
                                       $product_id=$_product->getId();
                                      //$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
                                      $product = $objectManager->create('Magento\Catalog\Model\Product')->load($product_id);
                                      if ($product['type_id'] == 'simple') { 
                                        $productoptionid=$product['product_option'];
                                        $attribute = $product->getResource()->getAttribute('product_option');
                                        if ($attribute->usesSource()) { ?>
                                          <div class="novairiant" style="padding: 12px;"><?php echo $attribute->getSource()->getOptionText($productoptionid);?></div>
                                          
                                       <?php }

                                      } ?>
                              </div>
                              <?php if ($_product->isSaleable()):    ?>
                                <?php $postParams = $block->getAddToCartPostParams($_product); 
                                ?>
                                <div class="field" style="display: none;" id="cutomqtysection<?php echo $_product->getId();?>" >
                                  <label class="label" for="qty"></label>
                                  <div class="control">
                                    <div class="custom-qty reduced"><button type="button" class="btn-qty minus"><span id="minus<?php echo $_product->getId();?>" class="mbi mbi-minus"></span></button></div>
                                    <div class="custom-qty increase"><button type="button" class="btn-qty plus"><span id="plus<?php echo $_product->getId();?>" class="mbi mbi-plus"></span></button></div>
                                  </div>
                                </div>
                                <form data-role="tocart-form" action="<?php  echo $this->getBaseUrl().'checkout/cart/add/product/'.$postParams['data']['product']//echo $postParams['action']; ?>" method="post">
                                  <input type="hidden" name="product" value="<?php /* @escapeNotVerified */ echo $postParams['data']['product']; ?>">
                                  <input type="hidden" name="<?php /* @escapeNotVerified */ echo Action::PARAM_NAME_URL_ENCODED; ?>" value="<?php /* @escapeNotVerified */ echo $postParams['data'][Action::PARAM_NAME_URL_ENCODED]; ?>">
                                    <!-- <input type="hidden" class="super1" name="super_attribute[90]" value="">
                                      <input type="hidden" class="super2" name="super_attribute[137]" value=""> -->
                                      <?php echo $block->getBlockHtml('formkey')?>
                                      <button id="addtocart_<?php echo $_product->getId();?>" onmouseover="changeoptionvalue('<?php echo $_product->getId();?>')"  type="submit"
                                      title="<?php echo $block->escapeHtml(__('Add to Cart')); ?>"
                                      class="action tocart primary">
                                      <span><?php /* @escapeNotVerified */ echo __('') ?> <i class="mbi mbi-cart" ></i></span>
                                    </button>
                  </form>
                  <?php else: ?>
                    <?php if ($_product->getIsSalable()): ?>
                      <div class="stock available"><span><?php /* @escapeNotVerified */ echo __('In stock') ?></span></div>
                      <?php else: ?>
                        <div class="stock unavailable"><span><?php /* @escapeNotVerified */ echo __('Out of stock') ?></span></div>
                      <?php endif; ?>
                    <?php endif; ?>
                           </div>

                           <div class="product-item-inner">
                            <?php if ($showDescription):?>
                              <div class="product description product-item-description">
                                <?= /* @escapeNotVerified */ $_helper->productAttribute($_product, $_product->getShortDescription(), 'short_description') ?>
                                <a href="<?= /* @escapeNotVerified */ $_product->getProductUrl() ?>" title="<?= /* @escapeNotVerified */ $_productNameStripped ?>"
                                  class="action more"><?= /* @escapeNotVerified */ __('Learn More') ?></a>
                                </div>
                              <?php endif; ?>
                            </div>
                           </div>
                       </div>
                   </div>
<input type="hidden" readonly name="qute<?php echo $_product->getId();?>" id="qute<?php echo $_product->getId();?>"  value="" >
<script type="text/javascript">
  requirejs(['jquery'], function( jQuery ) {
    jQuery(document).ready(function () {
             jQuery(document).ajaxComplete(function () {
    if(jQuery('#<?php echo $_product->getId();?> option').length==1){
      jQuery('.swatch-opt-<?php echo $_product->getId();?>').hide();
      jQuery('.swatch-opt-<?php echo $_product->getId();?>').parent().css("background-image", "none");
      jQuery('.swatch-opt-<?php echo $_product->getId();?>').prev().css("padding", "12px");
      jQuery('.swatch-opt-<?php echo $_product->getId();?>').prev().html(jQuery('#<?php echo $_product->getId();?> option:selected').text());
    }
   });
            });
        //hitforqote();
    var pid ='';
     setTimeout(function(){
      jQuery("select#<?php echo $_product->getId();?>").click(function(){
        hitforqote();
      });
      jQuery("#minus<?php echo $_product->getId();?>").click(function(){
        hitforqote();
      setTimeout(function(){
      var qoteid= jQuery("#qute<?php echo $_product->getId();?>").val();
     
      if (qoteid!="") {
                var uqty = jQuery("#cart-item-"+qoteid+"-qty").val();
                //alert(uqty);
                if (uqty=="1") {
                     //alert(uqty);
                    jQuery('[data-cart-item='+qoteid+']').click();
                    jQuery("#cutomqtysection<?php echo $_product->getId();?>").hide();
                    jQuery("#addtocart_<?php echo $_product->getId();?>").show();
                    jQuery("#updatedqty<?php echo $_product->getId();?>").hide();

                }else{
                jQuery("#minus-cart-item-"+qoteid).click();
                 // setTimeout(function(){
                 hitforqote();
            // },500);
                }

      }else{

      }
      
      },1000);
    });
    jQuery("#plus<?php echo $_product->getId();?>").click(function(){
         jQuery("#addtocart_<?php echo $_product->getId();?>").click();
         setTimeout(function(){
         
         hitforqote();
     },1000);
          });
    jQuery("#addtocart_<?php echo $_product->getId();?>").click(function(){
      setTimeout(function(){
         
         hitforqote();
     },1000);
          });
     jQuery("#addtocart_<?php echo $_product->getId();?>").hover(function(){
      setTimeout(function(){

         hitforqote();
     },1000);
          });
         
     },4000 );


         function hitforqote(){
            setTimeout(function(){
             var pid1 = jQuery(".swatch-opt-<?php echo $_product->getId();?>").attr('item-id');
             if (pid1) {
              var pid = pid1;
            }else{
              var pid ="<?php echo $_product->getId();?>";
              // alert("==");
            }
            //var sku = jQuery("div[itemprop=sku]").html();
            
            
            var url ='<?php  echo $this->getBaseUrl();?>deliveryarea/index/listaction';
            jQuery.ajax({
                     url: url,
                    type: 'POST',
                    data: {
                      pid: pid,
                  },
                  success: function(response) { 
                    if (response!="") {
                      if (pid1) {
                      
                    }else{
              response=parseInt(response) + 1;
              // alert("==");
            }
                            jQuery("#cutomqtysection<?php echo $_product->getId();?>").show();
                            jQuery("#addtocart_<?php echo $_product->getId();?>").hide();
                            var uqty = jQuery("#cart-item-"+response+"-qty").val();
                           // alert(uqty);
                           jQuery("#updatedqty<?php echo $_product->getId();?>").show();
                            jQuery("#updatedqty<?php echo $_product->getId();?>").text(uqty);
                            jQuery("#qute<?php echo $_product->getId();?>").val('');
                            jQuery("#qute<?php echo $_product->getId();?>").val(response);
                            jQuery("#cproductitem<?php echo $_product->getId();?>").addClass("item-selected");
                         }else{
                            jQuery("#cproductitem<?php echo $_product->getId();?>").removeClass("item-selected");
                            jQuery("#cutomqtysection<?php echo $_product->getId();?>").hide();
                            jQuery("#addtocart_<?php echo $_product->getId();?>").show();
                            jQuery("#qute<?php echo $_product->getId();?>").val('');
                            jQuery("#updatedqty<?php echo $_product->getId();?>").hide();
                         }
                        
                         
                      }
                  
              });
            },500 );
         }


  });
</script>


               </li>
           <?php endforeach; ?>
       </ol>
   </div>
<?php }?>
   <?php else : ?>
    <div class="products wrapper <?= /* @escapeNotVerified */ $viewMode; ?> products-<?= /* @escapeNotVerified */ $viewMode; ?>">
      <?php $iterator = 1; ?>
      <ol class="products list items product-items row">
        <?php /** @var $_product \Magento\Catalog\Model\Product */ ?>
        <?php foreach ($_productCollection as $_product): ?>
          <li class="item product product-item <?= $class ?>">
          <button class="ad_qty" id="updatedqty<?php echo $_product->getId();?>">0</button>
            <div id="cproductitem<?php echo $_product->getId();?>" class="product-item-info" data-container="product-grid">
              <?php
              $productImage = $block->getImage($_product, $image);
              if ($pos != null) {
                $position = ' style="left:' . $productImage->getWidth() . 'px;'
                . 'top:' . $productImage->getHeight() . 'px;"';
              }
              ?>
              <?php // Product Image ?>
              <div class="row">
                <div class="col-12 col-sm-3">
                  <div class="product-show">
                    <a href="<?= /* @escapeNotVerified */ $_product->getProductUrl() ?>" class="product photo product-item-photo" tabindex="-1">
                      <span class="front"><?= $productImage->toHtml(); ?></span>
                    </a>
                    <?= $this->helper('MageBig\QuickView\Helper\Data')->getQuickViewButton($_product,'mb-tooltip'); ?>
                    <?php if ($_product->getTypeId() == 'configurable') : ?>
                      <div class="swatches-list">
                        <?= $block->setProduct($_product)->toHtml(); ?>
                        
                      </div>
                    <?php endif; ?>
                   
                  </div>
                </div>
                <div class="col-12 col-sm-9">
                  <div class="row">
                    <div class="col-12 col-sm-8">
                      <div class="product details product-item-details">
                        <?php
                        $_productNameStripped = $block->stripTags($_product->getName(), null, true);
                        ?>
                        <h2 class="product name product-item-name">
                          <a class="product-item-link"
                          href="<?= /* @escapeNotVerified */ $_product->getProductUrl() ?>"
                          title="<?= /* @escapeNotVerified */ $_helper->productAttribute($_product, $_product->getName(), 'name'); ?>">
                          <?= /* @escapeNotVerified */ $_helper->productAttribute($_product, $_product->getName(), 'name'); ?>
                        </a>
                      </h2>
                      <?php if ($showRating) : ?>
                        <?= $block->getReviewsSummaryHtml($_product, $templateType); ?>
                      <?php endif; ?>

                      <div class="product-item-inner">
                        <?php if ($showDescription):?>
                          <div class="product description product-item-description">
                            <?= /* @escapeNotVerified */ $_helper->productAttribute($_product, $_product->getShortDescription(), 'short_description') ?>
                          </div>
                        <?php endif; ?>
                      </div>
                    </div>
                  </div>
                  <div class="col-12 col-sm-4">
                    <div class="product-btn-info">
                      <?= /* @escapeNotVerified */ $block->getProductPrice($_product) ?>
                      <?php if ($showAddCart) : ?>
                        <?php if ($_product->isSaleable()): ?>
                          <div class="price-block">
                            <?php $postParams = $block->getAddToCartPostParams($_product); ?>
                            <form data-role="tocart-form" data-product-sku="<?=  /* @NoEscape */ $_product->getSku() ?>" action="<?= /* @escapeNotVerified */ $postParams['action'] ?>" method="post">
                              <input type="hidden" name="product" value="<?= /* @escapeNotVerified */ $_product->getEntityId() ?>">
                              <input type="hidden" name="<?= /* @escapeNotVerified */ Action::PARAM_NAME_URL_ENCODED ?>" value="<?= /* @escapeNotVerified */ $postParams['data'][Action::PARAM_NAME_URL_ENCODED] ?>">
                              <?= $block->getBlockHtml('formkey')?>
                              <button type="submit"
                              title="<?= $block->escapeHtml(__('Add to Cart')) ?>"
                              class="action tocart primary"><span><?= $block->escapeHtml(__('Add to Cart')) ?></span></button>
                            </form>
                          </div>
                          <?php else: ?>
                            <div class="price-block">
                              <?php if ($_product->getIsSalable()): ?>
                                <div class="stock available"><span><?= /* @escapeNotVerified */ __('In stock') ?></span></div>
                                <?php else: ?>
                                  <div class="stock unavailable"><span><?= /* @escapeNotVerified */ __('Out of stock') ?></span></div>
                                <?php endif; ?>
                              </div>
                            <?php endif; ?>
                          <?php endif; ?>

                          <?php if ($showWishlist || $showCompare): ?>
                            <div class="row no-gutters">
                              <?php if ($this->helper('Magento\Wishlist\Helper\Data')->isAllow() && $showWishlist): ?>
                              <div class="col btn-wishlist">
                                <button type="button"
                                data-post='<?= /* @escapeNotVerified */ $block->getAddToWishlistParams($_product); ?>'
                                class="action towishlist" data-action="add-to-wishlist"
                                title="<?= /* @escapeNotVerified */ __('Add to Wishlist') ?>"><i aria-hidden="true" class="mbi mbi-heart"></i> <span><?= /* @escapeNotVerified */ __('Wishlist') ?></span></button>
                              </div>
                            <?php endif; ?>
                                                        <!-- <?php if ($block->getAddToCompareUrl() && $showCompare): ?>
                                                            <?php $compareHelper = $this->helper('Magento\Catalog\Helper\Product\Compare');?>
                                                            <div class="col btn-compare">
                                                                <button type="button" class="action tocompare"
                                                                   data-post='<?= /* @escapeNotVerified */ $compareHelper->getPostDataParams($_product);?>'
                                                                   title="<?= /* @escapeNotVerified */ __('Add to Compare') ?>"><i aria-hidden="true" class="mbi mbi-chart-bars"></i> <span><?= /* @escapeNotVerified */ __('Compare') ?></span></button>
                                                            </div>
                                                            <?php endif; ?> -->
                                                        </div>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <input type="hidden" readonly name="qute<?php echo $_product->getId();?>" id="qute<?php echo $_product->getId();?>"  value="" >
<script type="text/javascript">
  requirejs(['jquery'], function( jQuery ) {
    jQuery(document).ready(function () {
             jQuery(document).ajaxComplete(function () {
    if(jQuery('#<?php echo $_product->getId();?> option').length==1){
      jQuery('.swatch-opt-<?php echo $_product->getId();?>').hide();
      jQuery('.swatch-opt-<?php echo $_product->getId();?>').parent().css("background-image", "none");
      jQuery('.swatch-opt-<?php echo $_product->getId();?>').prev().css("padding", "12px");
      jQuery('.swatch-opt-<?php echo $_product->getId();?>').prev().html(jQuery('#<?php echo $_product->getId();?> option:selected').text());
    }
   });
            });
        hitforqote();
    var pid ='';
     setTimeout(function(){
      jQuery("select#<?php echo $_product->getId();?>").click(function(){
        hitforqote();
      });
      jQuery("#minus<?php echo $_product->getId();?>").click(function(){
        hitforqote();
      setTimeout(function(){
      var qoteid= jQuery("#qute<?php echo $_product->getId();?>").val();
     
      if (qoteid!="") {
                var uqty = jQuery("#cart-item-"+qoteid+"-qty").val();
                //alert(uqty);
                if (uqty=="1") {
                     //alert(uqty);
                    jQuery('[data-cart-item='+qoteid+']').click();
                    jQuery("#cutomqtysection<?php echo $_product->getId();?>").hide();
                    jQuery("#addtocart_<?php echo $_product->getId();?>").show();
                    jQuery("#updatedqty<?php echo $_product->getId();?>").hide();

                }else{
                jQuery("#minus-cart-item-"+qoteid).click();
                 setTimeout(function(){
                 hitforqote();
            },500);
                }

      }else{

      }
      
      },1000);
    });
    jQuery("#plus<?php echo $_product->getId();?>").click(function(){
         jQuery("#addtocart_<?php echo $_product->getId();?>").click();
         setTimeout(function(){
         
         hitforqote();
     },1000);
          });
    jQuery("#addtocart_<?php echo $_product->getId();?>").click(function(){
      setTimeout(function(){
         
         hitforqote();
     },1000);
          });
     jQuery("#addtocart_<?php echo $_product->getId();?>").hover(function(){
      setTimeout(function(){
         
         hitforqote();
     },1000);
          });
         
     },4000 );


         function hitforqote(){
            setTimeout(function(){
             var pid = jQuery(".swatch-opt-<?php echo $_product->getId();?>").attr('item-id');
            //var sku = jQuery("div[itemprop=sku]").html();
            
            //alert(pid);
            var url ='<?php  echo $this->getBaseUrl();?>deliveryarea/index/listaction';
            jQuery.ajax({
                     url: url,
                    type: 'POST',
                    data: {
                      pid: pid,
                  },
                  success: function(response) { 
                            //alert("==="+response);
                         
                          if (response!="") {
                            jQuery("#cutomqtysection<?php echo $_product->getId();?>").show();
                            jQuery("#addtocart_<?php echo $_product->getId();?>").hide();
                            var uqty = jQuery("#cart-item-"+response+"-qty").val();
                           // alert(uqty);
                           jQuery("#updatedqty<?php echo $_product->getId();?>").show();
                            jQuery("#updatedqty<?php echo $_product->getId();?>").text(uqty);
                            jQuery("#qute<?php echo $_product->getId();?>").val('');
                            jQuery("#qute<?php echo $_product->getId();?>").val(response);
                            jQuery("#cproductitem<?php echo $_product->getId();?>").addClass("item-selected");
                         }else{
                            jQuery("#cproductitem<?php echo $_product->getId();?>").removeClass("item-selected");
                            jQuery("#cutomqtysection<?php echo $_product->getId();?>").hide();
                            jQuery("#addtocart_<?php echo $_product->getId();?>").show();
                            jQuery("#qute<?php echo $_product->getId();?>").val('');
                            jQuery("#updatedqty<?php echo $_product->getId();?>").hide();
                         }
                        
                         
                      }
                  
              });
            },500 );
         }


  });
</script>
                        </li>
                    <?php endforeach; ?>
                </ol>
            </div>
        <?php endif; ?>


        <?= $toolbar ?>
        <?php if (!$block->isRedirectToCartEnabled()) : ?>
          <script type="text/x-magento-init">
            {
              "[data-role=tocart-form], .form.map.checkout": {
              "catalogAddToCart": {
              "product_sku": "<?= /* @NoEscape */ $_product->getSku() ?>"
            }
          }
        }
    </script>
<?php endif; ?>
<?php endif; ?>



<!-- ==========================sachin==================== -->
<style>
  .item-selected {
    padding: 9px;
    background: #eef5e6;
    border-radius: 5px;
}
  .product-btn {
    display: none;
}
@media only screen and (min-width: 768px){
  .fixed-sidebar{
    position: fixed;
    width: 279px;
}
}
.novairiant {
    /*padding: 12px;*/
    font-size: 12px;
    color: #666;
}
  ul#categories-nav {
    height: 175px;
    overflow-x: hidden;
}
dl#narrow-by-list {
    height: 175px;
    overflow-x: hidden;
}

.tab {
    overflow: hidden;
    margin: 10px 0px;
}
.tab button {
    border: none;
    outline: none;
    cursor: pointer;
    border-left: 3px solid transparent;
    background-color: #f8f8f8;
    display: inline-block;
    float: none;
    font-weight: 400;
    line-height: normal;
    margin-right: 5px;
    padding: 8px 16px;
    transition: 0.3s;
    font-size: 15px;
}
.tab button.active {
    background-color: #2eab60;
    color: #fff;
    border-radius: 0 !important;
}
.tab button.active {
  background-color: #83c537;
}
.tabcontent {
  display: none;
  padding: 6px 12px;
  border-top: none;
  margin: 18px 0px;

}

</style>

<script>

requirejs(['jquery'], function( jQuery ) {
  jQuery(window).scroll(function(){
  var offset = jQuery(".page-footer").offset(); 
  var ftop1=offset.top;
  var  ftop=ftop1-550;
  if (jQuery(window).scrollTop()>= ftop ) {
    jQuery(".sidebar-main").removeClass("fixed-sidebar");
  }else{
    jQuery(".sidebar-main").addClass("fixed-sidebar");
  }
    
});
  jQuery("#allproduct").click(function(){
    jQuery(".tablinks").removeClass('active');
    jQuery(".filetli").fadeIn("slow");
    jQuery(this).addClass("active");
    //jQuery(".first1").toggle();

  });
  jQuery("#product1").click(function(){
    jQuery(".tablinks").removeClass('active');
    jQuery(".filetli").fadeOut("slow");
    jQuery(".first1").fadeIn("slow");
    jQuery(this).addClass("active");

  });
  jQuery("#product2").click(function(){
    jQuery(".tablinks").removeClass('active');
    jQuery(".filetli").fadeOut("slow");
    jQuery(".first2").fadeIn("slow");
    jQuery(this).addClass("active");

  });
  jQuery("#product3").click(function(){
    jQuery(".tablinks").removeClass('active');
    jQuery(".filetli").fadeOut("slow");
    jQuery(".first3").fadeIn("slow");
    jQuery(this).addClass("active");

  });
  jQuery("#product4").click(function(){
    jQuery(".tablinks").removeClass('active');
    jQuery(".filetli").fadeOut("slow");
    jQuery(".first4").fadeIn("slow");
    jQuery(this).addClass("active");

  });


});

</script>
